<?

class CleantalkClass {

    // создаем обработчик события "OnBeforeUserRegister"
    function OnBeforeUserRegisterHandler(&$arFields) {
        global $DB;
        $ct_status = COption::GetOptionString('cleantalk', 'status', '0');

        if ($ct_status == 1) {
            require_once(dirname(__FILE__) . '/cleantalk.class.php');

            $ct_key = COption::GetOptionString('cleantalk', 'key', '0');

            if (!isset($_POST['ct_checkjs']) || !isset($_SESSION['ct_check_key'])) {
                $checkjs = null;
            } elseif ($_POST['ct_checkjs'] == $_SESSION['ct_check_key']) {
                $checkjs = 1;
            } else {
                $checkjs = 0;
            }

            if(isset($_SESSION['ct_submit_register_time'])){
                $ct_submit_register_time = time() - $_SESSION['ct_submit_register_time'];
            }else{
                $ct_submit_register_time = null;
            }
            
            if (isset($_SERVER['HTTP_USER_AGENT'])) {
                $user_agent = htmlspecialchars((string) $_SERVER['HTTP_USER_AGENT']);
            }else{
                $user_agent = null;
            }

            if (isset($_SERVER['HTTP_REFERER'])) {
                $refferrer = htmlspecialchars((string) $_SERVER['HTTP_REFERER']);
            }else{
                $refferrer = null;
            }

            $sender_info = array(
                'cms_lang' => 'ru',
                'REFFERRER' => $refferrer,
                'post_url' => $refferrer,
                'USER_AGENT' => $user_agent
            );
            $sender_info = json_encode($sender_info);

            $ct_request = new CleantalkRequest();
            $ct_request->auth_key = $ct_key;
            $ct_request->sender_email = $arFields['EMAIL'];
            $ct_request->sender_nickname = $arFields['LOGIN'];
            $ct_request->sender_ip = $arFields['USER_IP'];
            $ct_request->agent = 'bitrix-101';
            $ct_request->response_lang = 'ru';
            $ct_request->submit_time = $ct_submit_register_time;
            $ct_request->js_on = $checkjs;
            $ct_request->sender_info = $sender_info;



            $ct = new Cleantalk();
            $ct->work_url = 'http://moderate.cleantalk.ru';
            $ct->server_url = 'http://moderate.cleantalk.ru';
            $ct->server_ttl = '';
            $ct->server_changed = '';

            $ct_result = $ct->isAllowUser($ct_request);

            if($ct_result->allow == 0) {
        	if(!empty($ct_result->errstr) || (!empty($ct_result->inactive) && $ct_result->inactive == 1)){
                    //ошибка клинтолка, поэтому
                    //продолжим работать как будто нас нет, т.е. пропускать регистрацию
                    //надо отправить письмо админу
		    $err_title = 'CleanTalk hook error';
		    if(empty($ct_result->inactive) && $ct_result->inactive == 1){
			$err_str = preg_replace('/^[^\*]*?\*\*\*|\*\*\*[^\*]*?$/iu', '', $ct_result->comment);
		    }else{
			$err_str = preg_replace('/^[^\*]*?\*\*\*|\*\*\*[^\*]*?$/iu', '', $ct_result->errstr);
		    }
                    $err_str = 'test error';

		    $send_flag = FALSE;
		    $insert_flag = FALSE;

		    $time = $DB->Query('SELECT ct_value FROM cleantalk_timelabels WHERE ct_key=\'mail_error_reg\'')->Fetch();

		    if($time === FALSE){
			$send_flag = TRUE;
			$insert_flag = TRUE;
		    }elseif(time()-900 > $time['ct_value']) {		// 15 minutes
			$send_flag = TRUE;
			$insert_flag = FALSE;
		    }

		    if($send_flag){
			if($insert_flag){
			    $arInsert = $DB->PrepareInsert('cleantalk_timelabels', array('ct_key'=>'mail_error_reg', 'ct_value' => time()));
			    $strSql = 'INSERT INTO cleantalk_timelabels('.$arInsert[0].') VALUES ('.$arInsert[1].')';
			}else{
			    $strUpdate = $DB->PrepareUpdate('cleantalk_timelabels', array('ct_value' => time()));
			    $strSql = 'UPDATE cleantalk_timelabels SET '.$strUpdate.' WHERE ct_key = \'mail_error_reg\'';
			}
			$DB->Query($strSql);
			bxmail(
				COption::GetOptionString("main", "email_from"),
				$err_title,
				$err_str
			);
		    }
                }else{
                    //нет ошибок, определён спамер, поэтому
                    //выводим сообщение и прекращаем работу
                    //may be: вывод ошибки покрасивше через вызовы битрикса
                ?>
<html>
    <head>
        <style>
            .ct {
                width: 500px;
                border: 1px solid gray;
                box-shadow: 0 0 10px gray;
                font: normal 14px Arial;
                padding: 30px;
                margin: 30px auto;
            }
        </style>
    </head>
    <body>
        <div class="ct">
            <?php
                echo $ct_result->comment;
                echo "<br><br>";
                echo $ct_result->errstr;
            ?>
            <br><br><a href="/auth/?register=yes">Вернуться назад</a>
            <script>setTimeout("history.back()", 5000);</script>
        </div>
    </body>
</html>
                <?php
                    exit();
                }
            }
        }
    }

}
?>